
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Android中资源文件assets和res下面raw文件的使用不同点 / iVAN</title>

    <meta name="description" content="Android中资源文件assets和res下面raw文件的使用不同点 在建立项目中一般会默认建立assets文件,当然我们还可以在res文件下面建立raw文件夹,这里面都可以存放一些图片,音频或者文本信息,可以供我们在程序当中进行使用,不过他们两个也有不同点: assets下面的文件不会被编译,通过路径可以去访问其中的内容.raw中文件会自动编译,我们可以在R.java文件中找到对应的ID, 看下面截图: 2012-1-19 16:42 上传 下载附件 (14.81 KB) 那么既然这样那我们平时该怎么样进行把资源放入这两个文件当中呢? 我个人平时喜欢比较文件的大">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Android中资源文件assets和res下面raw文件的使用不同点</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>在建立项目中一般会默认建立assets文件，当然我们还可以在res文件下面建立raw文件夹，这里面都可以存放一些图片，音频或者文本信息，可以供我们在程序当中进行使用，不过他们两个也有不同点；</p>
<p>assets下面的文件不会被编译，通过路径可以去访问其中的内容。raw中文件会自动编译，我们可以在R.java文件中找到对应的ID，</p>
<p>看下面截图：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvd3d3LmFwa2J1cy5jb20vZGF0YS9hdHRhY2htZW50L2ZvcnVtLzIwMTIwMS8xOS8xNjQyMDdwb3Vxd2w3OWRjbDBxYm9nLmdpZg==.jpg"></p>
<p>2012-1-19 16:42 上传<br />
<a href="http://www.apkbus.com/forum.php?mod=attachment&amp;aid=MTUyMTB8N2MyMmJkYWZ8MTMzNjI3MDA2NHw0ODc0M3wyMDAwNQ%3D%3D&amp;nothumb=yes" rel="external nofollow noreferrer"><strong>下载附件</strong><br />
(14.81 KB)</a></p>
<p>那么既然这样那我们平时该怎么样进行把资源放入这两个文件当中呢？</p>
<p>我个人平时喜欢比较文件的大小，如果文件比较大一点的会放入到aeests文件中，因为用这个文件文件当中的信息，相当于要去进行IO流操作，比较耗时的操作</p>
<p>其中比较重要的是获取到Assets和Raw文件夹中的资源方法:</p>
<p>Assets:AssetManager assetManager = getAssets();</p>
<p>Raw: InputStream inputStream = getResources().openRawResource(R.raw.demo);</p>
<p>下面该Demo的Activity源代码:</p>
<pre>package com.jiangqq.aeesrtandraw;

import java.io.ByteArrayOutputStream;

import java.io.IOException;

import java.io.InputStream;

import android.app.Activity;

import android.content.res.AssetManager;

import android.os.Bundle;

import android.widget.EditText;

/**

* 该Demo演示Assets和Raw文件夹中文件的使用方法

*
* @author jiangqq

*
*/

public class AeesrtsAndRawActivity extends Activity {

    private EditText et1, et2;

    @Override

    public void onCreate(Bundle savedInstanceState) {

        super.onCreate(savedInstanceState);

        setContentView(R.layout.main);

        readAssets();

        readRaw();

    }

    /**

     * 使用Assets中的文件

     */

    private void readAssets() {

        et1 = (EditText) findViewById(R.id.et1);

        AssetManager assetManager = getAssets();

        try {

            InputStream inputStream = assetManager.open("demo.txt");

            et1.setText(read(inputStream));

        } catch (IOException e) {

            e.printStackTrace();

        }

    }

    /**

     * 使用Raw中的文件

     */

    private void readRaw() {

        et2 = (EditText) findViewById(R.id.et2);

        InputStream inputStream = getResources().openRawResource(R.raw.demo);

        et2.setText(read(inputStream));

    }

    /**

     * 进行IO流读写

     *
     * @param inputStream

     * @return oStream.toString() or “文件读写失败”

     */

    private String read(InputStream inputStream) {

        try {

            ByteArrayOutputStream oStream = new ByteArrayOutputStream();

            int length;

            while ((length = inputStream.read()) != -1) {

                oStream.write(length);

            }

            return oStream.toString();

        } catch (IOException e) {

            return "文件读写失败";

        }

    }

}</pre>
<p>布局文件:</p>
<pre>&lt;?xml version="1.0" encoding="utf-8"?&gt;

&lt;LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"

    android:layout_width="fill_parent"

    android:layout_height="fill_parent"

    android:orientation="vertical" &gt;

    &lt;LinearLayout

        android:layout_width="fill_parent"

        android:layout_height="wrap_content"

        android:orientation="horizontal" &gt;

        &lt;TextView

            android:layout_width="wrap_content"

            android:layout_height="wrap_content"

            android:text="@string/et1" /&gt;

        &lt;EditText

            android:id="@+id/et1"

            android:layout_width="fill_parent"

            android:layout_height="wrap_content" /&gt;

    &lt;/LinearLayout&gt;

    &lt;LinearLayout

        android:layout_width="fill_parent"

        android:layout_height="wrap_content"

        android:orientation="horizontal" &gt;

        &lt;TextView

            android:layout_width="wrap_content"

            android:layout_height="wrap_content"

            android:text="@string/et2" /&gt;

        &lt;EditText

            android:id="@+id/et2"

            android:layout_width="fill_parent"

            android:layout_height="wrap_content" /&gt;

    &lt;/LinearLayout&gt;

&lt;/LinearLayout&gt;</pre>
<p>Demo运行效果截图:<br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvd3d3LmFwa2J1cy5jb20vZGF0YS9hdHRhY2htZW50L2ZvcnVtLzIwMTIwMS8xOS8xNjQzMjk4Y3BxZ2N1cmxybHJ4cWF6LmdpZg==.jpg"></p>
<p>2012-1-19 16:43 上传<br />
<a href="http://www.apkbus.com/forum.php?mod=attachment&amp;aid=MTUyMTF8ZTRhMWE4YjN8MTMzNjI3MDA2NHw0ODc0M3wyMDAwNQ%3D%3D&amp;nothumb=yes" rel="external nofollow noreferrer"><strong>下载附件</strong><br />
(17.68 KB)</a></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-01 01:41:23</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Android中资源文件assets和res下面raw文件的使用不同点的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlmA7ap.html" rel="bookmark">Android中资源文件用法简单示例&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Android中资源文件用法.分享给大家供大家参考,具体如下: 一.XML文件间资源文件的使用 引用格式: attribute=&quot;@[packagename:]resourcetype/resourceidentifier&quot; example: 有strings.xml.color.xml.dimen.xml文件,使用其中的参数 &lt;?xml version=&quot;1.0&quot; encoding=&quot;utf-8&quot;?&gt; &lt;Line			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVmPvnp.html" rel="bookmark">Android中资源文件用法简单示例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Android中资源文件用法.分享给大家供大家参考,具体如下: 一.XML文件间资源文件的使用 引用格式: attribute=&quot;@[packagename:]resourcetype/resourceidentifier&quot; example: 有strings.xml.color.xml.dimen.xml文件,使用其中的参数 &lt;?xml version=&quot;1.0&quot; encoding=&quot;utf-8&quot;?&gt; &lt;Line			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrD4Yyz.html" rel="bookmark">基于android中读取assets目录下a&period;txt文件并进行解析的深入分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				android读取assets文件下的内容,一般都是使用getAsset.open()方法,并将文件的路径作为参数传入,而当我们解析一个目录下的文件时需要对其进行解析时,比如:a.txt文件的内容为: name android,liu class 1,2,3,4 这些文件有时就像是数据库文件的格式一样,我们就需要对其进行解析. 我们知道获取assets文件后返回的是一个inputstream而不是一个file类型,所以我们需要对inputstream进行解析.主要分为两个阶段:第一个阶段为:去换			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOnW7xp.html" rel="bookmark">Android中资源文件&lpar;非代码部分&rpar;的使用概览&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android中的资源访问 Android中的资源是指非代码部分,指外部文件. assets中保存的一般是原生的文件,例如MP3文件,Android程序不能直接访问,必须通过AssetManager类以二进制流的形式来读取. res中的资源可以通过R资源类直接访问. R类是自动生成的,在该类中根据不同的资源类型生成了相应的内部类,该类包含了系统中使用到的所有资源文件的标识. 1.在代码中使用资源文件 在代码中访问资源文件,是通过R类中定义的资源文件类型和资源文件名称来访问的. 具体格式为: R.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEY8rnb.html" rel="bookmark">Android开发之资源目录assets与res&sol;raw的区别分析&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Android开发之资源目录assets与res/raw的区别.分享给大家供大家参考,具体如下: assets:用于存放需要打包到应用程序的静态文件,以便部署到设备中.与res/raw不同点在于,ASSETS支持任意深度的子目录.这些文件不会生成任何资源ID,必须使用/assets开始(不包含它)的相对路径名. res:用于存放应用程序的资源(如图标.GUI布局等),将被打包到编译后的Java中.不支持深度子目录 res/menu:存放基于XML的菜单描述: res/raw:存放通			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pkJPljM.html" rel="bookmark">Android开发之资源目录assets与res&sol;raw的区别分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Android开发之资源目录assets与res/raw的区别.分享给大家供大家参考,具体如下: assets:用于存放需要打包到应用程序的静态文件,以便部署到设备中.与res/raw不同点在于,ASSETS支持任意深度的子目录.这些文件不会生成任何资源ID,必须使用/assets开始(不包含它)的相对路径名. res:用于存放应用程序的资源(如图标.GUI布局等),将被打包到编译后的Java中.不支持深度子目录 res/menu:存放基于XML的菜单描述: res/raw:存放通			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z42849M.html" rel="bookmark">android文件操作&mdash;&mdash;读取assets和raw文件下的内容&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				来自Resources和Assets 中的文件只可以读取而不能进行写的操作. assets文件夹里面的文件都是保持原始的文件格式,需要用AssetManager以字节流的形式读取文件. 1. 先在Activity里面调用getAssets() 来获取AssetManager引用. 2. 再用AssetManager的open(String fileName, int accessMode) 方法则指定读取的文件以及访问模式就能得到输入流InputStream. 3. 然后就是用已经open fi			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWXgKXp.html" rel="bookmark">Android 读取assets和raw文件内容实例代码&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				android之文件操作--读取assets和raw文件下的内容 1.分别创建assets文件夹和res/raw文件夹:(要注意的raw文件是在res下new,然后创建一个名字为raw的文件夹)       2.创建两个txt文件,复制到asset和raw文件夹中: 3.实现的效果: 4.实现代码: (1)布局文件: &lt;?xml version=&quot;1.0&quot; encoding=&quot;utf-8&quot;?&gt; &lt;LinearLayout xmlns:android			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z46EqPM.html" rel="bookmark">android文件操作&mdash;&mdash;读取assets和raw文件下的内容</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				来自Resources和Assets 中的文件只可以读取而不能进行写的操作. assets文件夹里面的文件都是保持原始的文件格式,需要用AssetManager以字节流的形式读取文件. 1. 先在Activity里面调用getAssets() 来获取AssetManager引用. 2. 再用AssetManager的open(String fileName, int accessMode) 方法则指定读取的文件以及访问模式就能得到输入流InputStream. 3. 然后就是用已经open fi			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM90wob.html" rel="bookmark" class="title">Javascript技巧：列表CheckBox全选</a>
					<div>
						javascript|技巧 最近做公司内的一个小项目,需要做一个多选项目的删除功能,于是写以下JS脚本例子来实现,其实也是经常用到的比较基础的东西,高手就不用看了. 程序代码: &lt;script  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbK10Lp.html" rel="bookmark" class="title">php 缩略图实现函数代码</a>
					<div>
						array getimagesize ( string $filename [, array &amp;$imageinfo ] ) 取得图像大小 resource imagecreatetrueco ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgYqBz.html" rel="bookmark" class="title">&period;NET下的设计模式研究之桥接模式</a>
					<div>
						设计 概述 在软件系统中,某些类型由于自身的逻辑,它具有两个或多个维度的变化,那么如何应对这种&quot;多维度的变化&quot;?如何利用面向对象的技术来使得该类型能够轻松的沿着多个方向进行变化,而 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyrvqPp.html" rel="bookmark" class="title">GridBagLayout</a>
					<div>
						很早以前,人们相信所有的恒星.行星.太阳及月亮都围绕地球公转.这是直观的观察.但后来天文学家变得更加的精明,他们开始跟踪个别星体的移动,它们中的一些似乎有时在轨道上缓慢运行.因为天文学家知道所有的天体 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVnLJKz.html" rel="bookmark" class="title">Delphi编程实现3D图形修饰技术</a>
					<div>
						本文论述了用Delphi进行图形界面修饰的技术,给出了窗口渐变色背景.3D边界.3D边框的实现源代码和一个软件界面的实例. 作为一个程序员,在开发程序的时候,都希望自己程序的界面美观一些,与众不同一些 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY2L35p.html" rel="bookmark" class="title">UVa 10066 The Twin Towers：DP&amp;amp&semi;amp&semi;LCS</a>
					<div>
						10066 - The Twin Towers Time limit: 3.000 seconds http://uva.onlinejudge.org/index.php?option=com_on ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAaqy2M.html" rel="bookmark" class="title">Seam无缝集成：为JSF定做应用程序框架</a>
					<div>
						JavaServer Faces (JSF) 是用于 Java Web 应用程序的第一个标准化的用户界面框架. 而 Seam 是一个扩展 JSF 的强大的应用程序框架.在这个由三部分组成的新系列中的第 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlRkjVz.html" rel="bookmark" class="title">PhotoShop绘制发光的翅膀教程</a>
					<div>
						最终效果 1.新建文件600*413黑底,新建图层拉一个紫黑色径向渐变,如下图. 2.新建图层,用画笔工具(调为紫色)成扇形随便画几笔,如下图. 3.执行滤镜→模糊→径向模糊,然后拉到下图位置. 4. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNEZ8Pb.html" rel="bookmark" class="title">Photoshop给竹林人物加上淡调黄绿色技巧</a>
					<div>
						图片背景基本都是绿叶.调色的时候只需要把绿叶的颜色转为比较粉嫩的黄绿色,然后把暗部调淡,整体再柔化处理即可. 原图 &lt;点小图查看大图&gt; 最终效果 1.打开素材图片,创建可选颜色调整图层,对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8ZRD9b.html" rel="bookmark" class="title">Photoshop绘制一个水晶苹果标志</a>
					<div>
						  最终效果: 1.先用钢笔路径工具勾出苹果标志外形(可以找一个苹果标志放在底层参照) 2.ctrl+回车转换为选区,选择渐变工具,在渐变编辑器窗口设置好前景色和背景色 3.在选区中拖出渐变,为了便于 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE674AM.html" rel="bookmark" class="title">Dwr3&period;0纯注解&lpar;纯Java Code配置&rpar;配置与应用浅析三之后端反向调用前端&lowbar;java</a>
					<div>
						在前两篇中我们已经介绍了Dwr零配置文化化和前端调用后端的方法,想必大家应该已经会熟练掌握了,下来我们主要探讨一下后端怎么反向调用前端的js方法: 就如前两篇说到了用Dwr注册了两个Service组件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7Y5mXM.html" rel="bookmark" class="title">ubuntu桌面版8&period;04带你入门之二：常用软件</a>
					<div>
						从这里开始介绍UBUNTU里的一些软件. 38. OPEN OFFICE是外国开源的http://www.aliyun.com/zixun/aggregation/17181.html&quot;&g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAaDGM.html" rel="bookmark" class="title">小洋的前端记事本&lpar;NO&period;5&rpar;&colon;GraphQL 小实践</a>
					<div>
						这里记录着小洋童鞋在前端道路上的所思所想所感. 生命在于折腾,不在折腾中崩溃,就在折腾中涅槃. GraphQL| A query language for your API,诞生于移动快速迭代时代,理 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRy96z.html" rel="bookmark" class="title">简单的动画问题</a>
					<div>
						问题描述 packagechap01;importjavax.microedition.lcdui.Canvas;importjavax.microedition.lcdui.Display;impo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOmkD5M.html" rel="bookmark" class="title">数据库该如何设计  主外键应该怎么建</a>
					<div>
						问题描述 数据库该如何设计 主外键应该怎么建 现在想做一个类似糗事百科的网站 数据库不知道怎么弄 求大神帮忙! 解决方案 简单来说,主键就是在1对多关系中1的那个,外键就是多的那个.比如两个表:Use ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBxWZb.html" rel="bookmark" class="title">前端-fis2中安装jello中的插件出错，求大神指点</a>
					<div>
						问题描述 fis2中安装jello中的插件出错,求大神指点 输入npm命令: npm install -g fis-parser-sass 出现这样的错误:					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkeoKOb.html" rel="bookmark" class="title">同步、异步、阻塞和非阻塞的概念</a>
					<div>
						在进行网络编程时,我们常常见到同步.异步.阻塞和非阻塞四种调用方式.这些方式彼此概念并不好理解.下面是我对这些术语的理解.    同步         所谓同步,就是在发出一个功能调用时,在没有得到结 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pke63db.html" rel="bookmark" class="title">阻击 Nest 恒温器：Google 的「巢」迎来挑战者「词」</a>
					<div>
						   国人 Chinglish 口音的形成原因之一,是控制不好舌头在口中的位置.某些发音,比如「L」念不对,是因为我们讲汉语的时候,舌头从来不需要到这个陌生的地方去,人一偷懒,就从汉语里边找了最接近的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MydYgvb.html" rel="bookmark" class="title">中国移动神州行5元卡普遍缺货</a>
					<div>
						本报讯(记者孟为)中国移动北京分公司自本月起推出神州行5元卡,本地拨打通话0.12元/分钟,全国长途漫游0.2元/分钟.&quot;5元&quot;概念颇具冲击力,不过记者昨日了解到,部分移动营业厅目 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV0vLnM.html" rel="bookmark" class="title">java-hibernate一对多时，为什么在一那方设置关联多那方是老是报空指针的错误啊</a>
					<div>
						问题描述 hibernate一对多时,为什么在一那方设置关联多那方是老是报空指针的错误啊 @Test public void test2(){ User1 u=new User1(); u.setNa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7WaZz.html" rel="bookmark" class="title">ORA-12537 if Listener &lpar;including SCAN Listener&rpar; and Database are Owned by Different OS User &lbrack;ID 1069</a>
					<div>
						ORA-12537 if Listener (including SCAN Listener) and Database are Owned by Different OS User [ID 1069 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmBEmaz.html" rel="bookmark" class="title">各路资本瞄准移动互联网暗招涌动</a>
					<div>
						每经记者 严翠 发自深圳 移动互联网主要指基于WAP站点支持下的手机互联网络,随着3G牌照的发放,移动互联网的网速得到了极大提升,其商机也被各路兵家窥见. &lt;每日经济新闻&gt;记者从8月27日 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7xy7rb.html" rel="bookmark" class="title">DataTable导出EXCEL，本地可以，发布到服务器不行</a>
					<div>
						问题描述 不知道什么原因publicstaticvoidCreateExcel(HttpContextcontext,DataTabledt,stringFileName){HttpResponseR ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXKwEAM.html" rel="bookmark" class="title">尼尔逊&CenterDot;曼德拉：&OpenCurlyDoubleQuote;我是个梦想家&rdquo;</a>
					<div>
						他少年时代曾患有阅读障碍症,后来却被评为&quot;英国最聪明的人&quot;:他高中辍学,却亲手创办了一份具有影响力的杂志:他被认为是全英国最傲慢的暴发户,却可以为了世界和平的理想驾着战斗机亲赴巴格 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0NlaDz.html" rel="bookmark" class="title">纯php生成随机密码&lowbar;php技巧</a>
					<div>
						php生成一个随机的密码,方便快捷,可以随机生成安全可靠的密码. 分享代码如下 &lt;?php header(&quot;Content-type:text/html;charset=utf-8&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqWo7Oz.html" rel="bookmark" class="title">jquery load&lpar;&rpar;方法使用说明</a>
					<div>
						最近网站做一些改动,需要引用另一个网站的页面,于是用到了jQuery框加中的load方法.挺方便的. load(url, [data], [callback])手册上的说明很直接明了: 载入远程 HT ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKqP15p.html" rel="bookmark" class="title">activemq-求 ActiveMq for &period;net  的demo</a>
					<div>
						问题描述 求 ActiveMq for .net 的demo 初涉消息推送, 需要架设在.net 服务器上为android 提供消息推送服务 , 新手一个 ,求大神支持 解决方案 http://www ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPW7r1M.html" rel="bookmark" class="title">android-Android中setResult能返回多个值吗？</a>
					<div>
						问题描述 Android中setResult能返回多个值吗? 我这样返回为什么只显示下面的数据?FA2 按理说FA1也应该可以显示呀 我两个resultCode不一样,而且intent也不一样 解决方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA65yKp.html" rel="bookmark" class="title">Mysql基础之字符集与乱码</a>
					<div>
						原文:Mysql基础之字符集与乱码 Mysql的字符集设置非常灵活 可以设置服务器默认字符集 数据库默认字符集 表默认字符集 列字符集 如果某一个级别没有指定字符集,则继承上一级.   以表声明utf ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeL7KOp.html" rel="bookmark" class="title">MFC 消息处理顺序</a>
					<div>
						MFC 消息传递顺序 LRESULT CALLBACK AfxWndProc(HWND hWnd, UINT nMsg, WPARAM wParam, LPARAM lParam)   {       ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
